StoreRegistry (Tomcat API Documentation)
Keywords: org.apache.catalina.storeconfig.StoreRegistry class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.storeconfig
Class StoreRegistry

    java.lang.Object
      org.apache.catalina.storeconfig.StoreRegistry

public class StoreRegistry
extends java.lang.Object

Central StoreRegistry for all server.xml elements

Author:
  Peter Rossbach

Constructor Summary
`StoreRegistry()`

Method Summary
`StoreDescription` | `findDescription(java.lang.Class aClass)` Find Description by class
`StoreDescription` | `findDescription(java.lang.String id)` Find a description for id.
`IStoreFactory` | `findStoreFactory(java.lang.Class aClass)` find factory from class
`IStoreFactory` | `findStoreFactory(java.lang.String aClassName)` Find factory from classname
`java.lang.String` | `getEncoding()`
`java.lang.String` | `getName()`
`java.lang.String` | `getVersion()`
`void` | `registerDescription(StoreDescription desc)` Register a new description
`void` | `setEncoding(java.lang.String string)`
`void` | `setName(java.lang.String name)`
`void` | `setVersion(java.lang.String version)`
`StoreDescription` | `unregisterDescription(StoreDescription desc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StoreRegistry

    public StoreRegistry()

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - The name to set.

### getVersion

    public java.lang.String getVersion()

  Returns:
    Returns the version.

### setVersion

    public void setVersion(java.lang.String version)

  Parameters:
    `version` - The version to set.

### findDescription

    public StoreDescription findDescription(java.lang.String id)

  Find a description for id. Handle interface search when no direct match found.

  Parameters:
    `id` -
  Returns:
    The description

### findDescription

    public StoreDescription findDescription(java.lang.Class aClass)

  Find Description by class

  Parameters:
    `aClass` -
  Returns:
    The description

### findStoreFactory

    public IStoreFactory findStoreFactory(java.lang.String aClassName)

  Find factory from classname

  Parameters:
    `aClassName` -
  Returns:
    The factory

### findStoreFactory

    public IStoreFactory findStoreFactory(java.lang.Class aClass)

  find factory from class

  Parameters:
    `aClass` -
  Returns:
    The factory

### registerDescription

    public void registerDescription(StoreDescription desc)

  Register a new description

  Parameters:
    `desc` -

### unregisterDescription

    public StoreDescription unregisterDescription(StoreDescription desc)

### getEncoding

    public java.lang.String getEncoding()

  Returns:
    The encoding

### setEncoding

    public void setEncoding(java.lang.String string)

  Parameters:
    `string` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.